/* Remove everything from the database other than cacti and watering schedules to export */

begin exclusive transaction;

/* Clear unneeded tables */
delete from log;
delete from event;

/* Delete log images */
delete from image where type == 1;

/* Zero-out log and event counts */
update version set num_logs = 0;
update version set num_events = 0;

/* Update image count */
update version set num_images = (select count(*) from image);

commit;
