/* Remove everything from the database other than watering schedules to export */

begin exclusive transaction;

/* Clear unneeded tables */
delete from cactus;
delete from image;
delete from log;
delete from event;
delete from species;

/* Zero-out cactus, log, event, images, and species counts */
update version set num_cacti = 0;
update version set num_logs = 0;
update version set num_events = 0;
update version set num_species = 0;
update version set num_images = 0;

commit;
